> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store.md).

# 向量存储 API

向量存储 API 允许您在 Rememberizer 中创建、管理和搜索向量存储。向量存储使您能够使用语义相似性搜索存储和检索文档。

## 可用的向量存储端点

### 管理端点

* [获取向量存储的信息](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/get-vector-stores-information.md)
* [获取向量存储中的文档列表](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md)
* [获取文档的信息](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/get-the-information-of-a-document.md)

### 文档操作

* [将新文本文档添加到向量存储](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/add-new-text-document-to-a-vector-store.md)
* [将文件上传到向量存储](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/upload-files-to-a-vector-store.md)
* [更新向量存储中文件的内容](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/update-files-content-in-a-vector-store.md)
* [在向量存储中删除文档](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/remove-a-document-in-vector-store.md)

### 搜索操作

* [通过语义相似性搜索向量存储文档](/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store/search-for-vector-store-documents-by-semantic-similarity.md)

## 创建向量存储

要创建一个新的向量存储，请使用以下端点：

```
POST /api/v1/vector-stores/
```

### 请求体

```json
{
  "name": "商店名称",
  "description": "商店描述",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance"
}
```

### 响应

```json
{
  "id": "store_id",
  "name": "向量商店名称",
  "description": "商店描述",
  "created": "2023-05-01T00:00:00Z",
  "modified": "2023-05-01T00:00:00Z"
}
```

## 向量存储配置

要检索可用的向量存储配置，请使用：

```
GET /api/v1/vector-stores/configs
```

这将返回可用的嵌入模型、索引算法和搜索指标，这些可以在创建或配置向量存储时使用。

## 认证

所有 Vector Store 端点都需要使用以下方式进行认证：

* 管理操作的 JWT 令牌
* 文档和搜索操作的 API 密钥


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
